// import { Slider } from '@alifd/next';
// export default Slider;
import ConfigProvider from '../config-provider';
import React, { Component } from 'react';
import cls from 'classnames';
// import hoistNonReactStatics from 'hoist-non-react-statics';
import { Slider as NextSlider } from '@alifd/next';
class Slider extends Component {
    render() {
        const { prefix = 'next-', dotsType = 'dot', className } = this.props;
        if (dotsType === 'line') {
            return (React.createElement(NextSlider, Object.assign({}, this.props, { prefix: prefix, dotsRender: () => {
                    return React.createElement("button", { className: `${prefix}dots-line` });
                }, className: cls(className, {}) })));
        }
        return (React.createElement(NextSlider, Object.assign({}, this.props, { prefix: prefix, className: cls(className, {}) })));
    }
}
export default ConfigProvider.config(Slider);
